/*
 *	Sifs user space client
 */



#include <stdio.h>
#include <errno.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <pthread.h>
#include <sys/wait.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include "packet.h"


#ifndef SSH_CLIENT_H
#define SSH_CLIENT_H


struct parameter {
	struct psocket* lsock;		// listening packet socket
	struct psocket* csock;		// accepted packet socket
	char host[256];
	char login[256];
	char cookie[256];
	int socketpair[2];
	pid_t pid;
	u_int16_t port;
};


#ifdef SIFS_PROFILE
#define SIFS_PROFILE(x) fprintf( stderr, "%s", x )
#else
#define SIFS_PROFILE(x)
#endif

#endif
