/*
 * Maps a path to a file descriptor
 */


#include <string.h>
#include <sys/types.h>



#ifndef DESC_H
#define DESC_H

struct filedesc;

struct filedesc {
	char* path;
	int fd;
	int counter;
	struct filedesc* next;
};

u_int8_t compute_hash( char* path );

int desc_insert( char* path, int fd );
int desc_remove( char* path );
int desc_increase( char* path );
int desc_decrease( char* path );
int desc_get( char* path );

#endif
