/*
 * Process inode related requests and send replies
 */



#include "sifs-process.h"



int sifs_create( struct connection* conn )
{
SIFS_PROFILE( "sifs_create: Create file\n" );
	return not_implemented( conn );
}



int sifs_mkdir( struct connection* conn )
{
SIFS_PROFILE( "sifs_mkdir: Create directory\n" );
	return not_implemented( conn );
}



int sifs_mknod( struct connection* conn )
{
SIFS_PROFILE( "sifs_mknod: Create special file\n" );
	return not_implemented( conn );
}



int sifs_unlink( struct connection* conn )
{
SIFS_PROFILE( "sifs_unlink: Remove file\n" );
	return not_implemented( conn );
}



int sifs_rmdir( struct connection* conn )
{
SIFS_PROFILE( "sifs_rmdir: Remove directory\n" );
	return not_implemented( conn );
}



int sifs_link( struct connection* conn )
{
SIFS_PROFILE( "sifs_link: Create hard link\n" );
	return not_implemented( conn );
}



int sifs_symlink( struct connection* conn )
{
SIFS_PROFILE( "sifs_symlink: Create symbolic link\n" );
	return not_implemented( conn );
}



int sifs_rename( struct connection* conn )
{
SIFS_PROFILE( "sifs_rename: Rename file or directory\n" );
	return not_implemented( conn );
}



int sifs_truncate( struct connection* conn )
{
SIFS_PROFILE( "sifs_truncate: Truncate file\n" );
	return not_implemented( conn );
}



int sifs_setattr( struct connection* conn )
{
SIFS_PROFILE( "sifs_setattr: Set new attributes\n" );
	return not_implemented( conn );
}



int sifs_write( struct connection* conn )
{
SIFS_PROFILE( "sifs_write: Write file content\n" );
	return not_implemented( conn );
}



int sifs_fsync( struct connection* conn )
{
SIFS_PROFILE( "sifs_fsync: Sync buffer and hard disk\n" );
	return not_implemented( conn );
}



int sifs_lock( struct connection* conn )
{
SIFS_PROFILE( "sifs_lock: Lock file\n" );
	return not_implemented( conn );
}
